=== tests/pushbits/Makefile ===
.POSIX:
# AUTOGENERATED FILE, DO NOT EDIT
PROG=test_pushbits
SRCS=main.c pushbits.c
IDIRS=-I../../spipe -I../../libcperciva/util -I../../lib/util
LDADD_REQ=-lpthread
SUBDIR_DEPTH=../..
RELATIVE_DIR=tests/pushbits
LIBALL=../../liball/liball.a

all:
	if [ -z "$${HAVE_BUILD_FLAGS}" ]; then \
		cd ${SUBDIR_DEPTH}; \
		${MAKE} BUILD_SUBDIR=${RELATIVE_DIR} \
		    BUILD_TARGET=${PROG} buildsubdir; \
	else \
		${MAKE} ${PROG}; \
	fi

clean:
	rm -f ${PROG} ${SRCS:.c=.o}

${PROG}:${SRCS:.c=.o} ${LIBALL}
	${CC} -o ${PROG} ${SRCS:.c=.o} ${LIBALL} ${LDFLAGS} ${LDADD_EXTRA} ${LDADD_REQ} ${LDADD_POSIX}

main.o: main.c ../../libcperciva/util/getopt.h ../../libcperciva/util/noeintr.h ../../libcperciva/util/parsenum.h ../../libcperciva/util/warnp.h ../../spipe/pushbits.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c main.c -o main.o
pushbits.o: ../../spipe/pushbits.c ../../libcperciva/util/noeintr.h ../../lib/util/pthread_create_blocking_np.h ../../libcperciva/util/warnp.h ../../spipe/pushbits.h
	${CC} ${CFLAGS_POSIX} -D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700 -DCPUSUPPORT_CONFIG_FILE=\"cpusupport-config.h\"  -I../.. ${IDIRS} ${CPPFLAGS} ${CFLAGS} -c ../../spipe/pushbits.c -o pushbits.o
