=== debian/changelog ===
spiped (1.6.2-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:03:26 +1100

spiped (1.6.2-3build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:24:52 +0000

spiped (1.6.2-3) unstable; urgency=medium

  * Fix the watch file: the upstream site's spiped/ directory is not
    indexable any more.
  * Fix FTBFS by silencing OpenSSL warnings about functions deprecated in
    OpenSSL 3.x.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * Catch up with Lintian warnings format changes.

 -- Peter Pentchev <roam@debian.org>  Sat, 07 Jan 2023 04:39:23 +0200

spiped (1.6.2-2) unstable; urgency=medium

  * Pass O_RDONLY, not 0, to sysopen() in the autopkgtest so that
    it can also work on systems where O_RDONLY != 0, e.g. the Hurd.
    Thanks to Niko Tyni for pointing out this silly mistake of mine!
  * Add the year 2022 to my debian/* copyright notice.
  * Add a Hurd-specific shutdown()-on-a-local-socket fix.

 -- Peter Pentchev <roam@debian.org>  Wed, 02 Mar 2022 16:30:43 +0200

spiped (1.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Peter Pentchev <roam@debian.org>  Sun, 26 Dec 2021 05:35:50 +0200

spiped (1.6.1.99.1-1) experimental; urgency=medium

  * New upstream release:
    - drop the arm-non-aarch64 and clean-tests patches, both implemented
      in a better way upstream

 -- Peter Pentchev <roam@debian.org>  Sun, 19 Dec 2021 03:57:26 +0200

spiped (1.6.1.99-2) experimental; urgency=medium

  * Add the arm-non-aarch64 patch to fix the armhf build.
  * Pass -q0 to netcat in the autopkgtest to make sure it exits.
  * Add the clean-tests patch to clean another directory up.

 -- Peter Pentchev <roam@debian.org>  Fri, 10 Dec 2021 23:51:17 +0200

spiped (1.6.1.99-1) experimental; urgency=medium

  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * Add the year 2021 to my debian/* copyright notice.
  * Override Lintian "line too long" complaints for source files
    listed in several Makefiles.
  * Explicitly specify dh-sequence-single-binary as a virtual build
    dependency.
  * New upstream prerelease:
    - update the upstream copyright years
    - refresh the line numbers in the debian-build patch
  * Fix the debian/tests/simple autopkgtest's options handling.
  * Run the debian/tests/simple autopkgtest during the build, too.

 -- Peter Pentchev <roam@debian.org>  Fri, 10 Dec 2021 16:14:52 +0200
