=== debian/tests/control ===
Tests: simple
Depends: @, netcat-openbsd, perl
