=== debian/changelog ===
spiped (1.6.3-1) unstable; urgency=medium

  * New upstreal release:
    - update the upstream copyright notices
  * Upload to unstable.

 -- Peter Pentchev <roam@debian.org>  Wed, 29 Jan 2025 22:53:32 +0200

spiped (1.6.2.99-1) experimental; urgency=medium

  * New upstream prerelease:
    - update the upstream copyright notices
    - drop the openssl-3 patch, the upstream source was adapted for
      compatibility with OpenSSL 3.x
    - drop one of the "line too long" Lintian overrides
  * Add the year 2025 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Wed, 22 Jan 2025 02:09:49 +0200

spiped (1.6.2-4) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Switch to dh compat level 14 and X-DH-Compat.
  * Let debhelper handle some dependencies automatically.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Tue, 31 Dec 2024 03:41:50 +0200
