=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: spiped
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
+Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
-  debhelper-compat (= 13),
-  dh-sequence-single-binary,
-  libssl-dev,
-  procps,
-  netcat-openbsd <!nocheck>,
-  perl <!nocheck>,
-Standards-Version: 4.6.2
+ debhelper (>> 13.15.2~),
+ dh-sequence-single-binary,
+ dpkg-build-api (= 1),
+ libssl-dev,
+ netcat-openbsd <!nocheck>,
+ perl <!nocheck>,
+ procps,
+Standards-Version: 4.7.0
+X-DH-Compat: 14
 Homepage: https://www.tarsnap.com/spiped.html
 Vcs-Git: https://gitlab.com/spiped/spiped.git -b debian/master
 Vcs-Browser: https://gitlab.com/spiped/spiped/tree/debian/master
-Rules-Requires-Root: no
+X-Style: black
 
 Package: spiped
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Description: create secure pipes between socket addresses
  spiped (pronounced "ess-pipe-dee") is a utility for creating symmetrically
