=== debian/watch ===
version=4
opts=pgpmode=none \
https://www.tarsnap.com/spiped.html spiped/spiped-([\d.]*)\.tgz
